# $Revision: 1.17 $, $Date: 2009/10/09 14:25:54 $
Summary:	rstart and rstartd applications - Remote Start client and helper
Summary(pl.UTF-8):	Aplikacje rstart i rstartd - klient i program do zdalnego uruchamiania
Name:		xorg-app-rstart
Version:	1.0.3
Release:	1
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/app/rstart-%{version}.tar.bz2
# Source0-md5:	e09c14cf1ac78260f95a9aa45bccab4c
Patch0:		%{name}-configdir.patch
Patch1:		%{name}-install.patch
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	cpp
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-util-util-macros >= 1.2
# contexts/x11r6
Requires:	xorg-app-iceauth
# contexts/x11r6, rstart client
Requires:	xorg-app-xauth
# commands/x11r6/LoadMonitor
Requires:	xorg-app-xload
# commands/x11r6/Terminal
Requires:	xterm
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
rstart is a simple implementation of a Remote Start client as defined
in "A Flexible Remote Execution Protocol Based on rsh". It uses rsh as
its underlying remote execution mechanism.

rstartd is an implementation of a Remote Start "helper" as defined in
"A Flexible Remote Execution Protocol Based on rsh".

%description -l pl.UTF-8
rstart to prosta implementacja klienta zdalnego uruchamiania (Remote
Start) opisanego w publikacji "A Flexible Remote Execution Protocol
Based on rsh". Wykorzystuje rsh jako mechanizm zdalnego wykonywania.

rstartd to implementacja programu pomocniczego ("helpera") opisanego w
"A Flexible Remote Execution Protocol Based on rsh".

%prep
%setup -q -n rstart-%{version}
%patch0 -p1
%patch1 -p1

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	RSH=/usr/bin/rsh \
	--with-default-man-path="/usr/share/man:/usr/local/man" \
	--with-default-user-path="/usr/local/bin:/usr/bin:/bin"

%{__make} \
	configdir=/etc/X11/rstart

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	configdir=/etc/X11/rstart \
	DATA_DIR=/etc/X11/rstart

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog
%attr(755,root,root) %{_bindir}/rstart
%attr(755,root,root) %{_bindir}/rstartd
%dir %{_libdir}/X11/rstart
%attr(755,root,root) %{_libdir}/X11/rstart/rstartd.real
%dir /etc/X11/rstart
%config(noreplace) %verify(not md5 mtime size) /etc/X11/rstart/config
%dir /etc/X11/rstart/commands
%config(noreplace) %verify(not md5 mtime size) /etc/X11/rstart/commands/@List
%config(noreplace) %verify(not md5 mtime size) /etc/X11/rstart/commands/ListContexts
%config(noreplace) %verify(not md5 mtime size) /etc/X11/rstart/commands/ListGenericCommands
%dir /etc/X11/rstart/commands/x11r6
%config(noreplace) %verify(not md5 mtime size) /etc/X11/rstart/commands/x11r6/@List
%config(noreplace) %verify(not md5 mtime size) /etc/X11/rstart/commands/x11r6/LoadMonitor
%config(noreplace) %verify(not md5 mtime size) /etc/X11/rstart/commands/x11r6/Terminal
%config(noreplace,missingok) %verify(not link) /etc/X11/rstart/commands/x11
%config(noreplace,missingok) %verify(not link) /etc/X11/rstart/commands/x
%dir /etc/X11/rstart/contexts
%config(noreplace) %verify(not md5 mtime size) /etc/X11/rstart/contexts/@List
%config(noreplace) %verify(not md5 mtime size) /etc/X11/rstart/contexts/default
%config(noreplace) %verify(not md5 mtime size) /etc/X11/rstart/contexts/x11r6
%config(noreplace,missingok) %verify(not link) /etc/X11/rstart/contexts/x11
%config(noreplace,missingok) %verify(not link) /etc/X11/rstart/contexts/x
%{_mandir}/man1/rstart.1x*
%{_mandir}/man1/rstartd.1x*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-app-rstart.spec,v $
Revision 1.17  2009/10/09 14:25:54  qboosh
- updated util-macros version

Revision 1.16  2009/08/13 19:47:32  arekm
- up to 1.0.3

Revision 1.15  2008/07/27 23:02:01  arekm
- release 2

Revision 1.14  2007-04-30 22:41:23  qboosh
- informative descs from mans

Revision 1.13  2007/02/12 22:09:23  glen
- tabs in preamble

Revision 1.12  2007/02/12 01:06:39  baggins
- converted to UTF-8

Revision 1.11  2006/10/15 13:28:08  qboosh
- added configdir patch, put configs in /etc/X11/rstart (following X11-fhs.patch)
- added install patch to fix alias symlinks creation
- added used xorg apps to Requires
- release 1

Revision 1.10  2006/04/27 06:23:25  arekm
- up to 1.0.2

Revision 1.9  2006/01/12 13:10:01  qboosh
- 1.0.1 (X11R7.0 release)

Revision 1.8  2005/12/09 11:56:59  qboosh
- 0.99.2 (X11R7.0-RC3)

Revision 1.7  2005/10/22 17:59:03  qboosh
- pkgconfig epoch

Revision 1.6  2005/10/21 14:35:38  qboosh
- 0.99.1 (X11R7.0-RC1)
- removed outdated man patch, added missing dir

Revision 1.5  2005/08/27 21:46:18  qboosh
- sorted BRs

Revision 1.4  2005/08/27 20:04:01  wiget
- standard permisions to binaries

Revision 1.3  2005/08/27 20:00:44  wiget
- cleanups, kill /usr/X11R6

Revision 1.2  2005/08/27 17:42:47  wiget
- s/pkg-config/pkgconfig/ in BR:

Revision 1.1  2005/08/15 12:17:57  arekm
- new try
- all xorg files prefixed with xorg-kind_of_package where kind of package can be seen at http://xorg.freedesktop.org/X11R7.0-RC0/

Revision 1.1  2005/08/14 22:46:41  arekm
- modular xorg specs

* Sat Aug 13 2005 18:04:48  Tomasz Trojanowski  <trojan@pld-freebsd.org>
- fixed summaries and descriptions
- fixed Group
- defined %%{_prefix} and %%{_mandir}
- added rstart-man.patch
- added BR: libX11-devel
- release 0.02

* Sun Aug  7 2005 18:31:38  Tomasz Trojanowski  <trojan@pld-freebsd.org>
- initial release
